import { INestApplication } from '@nestjs/common';
import { OpenAPIObject } from '@nestjs/swagger';
import { StoplightElementsOptions } from './interfaces/elements-options.interface';
export declare class StoplightElementsModule {
    private app;
    private document;
    private options;
    /**
     *
     * @param app - Nest Application
     * @param document - Swagger Document object
     */
    constructor(app: Omit<INestApplication, 'enableVersioning'>, document: OpenAPIObject, options?: StoplightElementsOptions);
    /**
     * Attach module to existing NestJS app
     * @param path path to mount the Stoplight frontend @example '/api'
     */
    start(path?: string): Promise<void>;
    /**
     * Setup ReDoc frontend for express plattform
     * @param path - path to mount the ReDoc frontend
     */
    setup(path: string): Promise<void>;
}
